# GimpUi.ZoomModel

    const GimpUi = imports.gi.GimpUi;

    let zoomModel = new GimpUi.ZoomModel({
    });

A model for zoom values.

## Hierarchy

- GObject.Object
  - GimpUi.ZoomModel

## Constructors

- GimpUi.ZoomModel.new

## Methods

- GimpUi.ZoomModel.prototype.get_factor
- GimpUi.ZoomModel.prototype.get_fraction
- GimpUi.ZoomModel.prototype.set_range
- GimpUi.ZoomModel.prototype.zoom

## Static Functions

- GimpUi.ZoomModel.zoom_step

## Properties

- fraction
- maximum
- minimum
- percentage
- value

## Signals

- zoomed